<?php

namespace TDevAgency\CmsDb\Seeds;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Mcamara\LaravelLocalization\Facades\LaravelLocalization;
use TDevAgency\Cms\Models\BaseModels\Post;
use TDevAgency\Cms\Models\BaseModels\PostLocalization;
use Throwable;

class FirstPost extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     * @throws Throwable
     */
    public function run()
    {

        DB::transaction(function () {

            if (Post::count() === 0) {
                $post = new Post();
                $post->post_type = Post::PAGE_TYPE;
                $post->slug = '/';
                $post->post_status = true;

                $post->save();

                foreach (LaravelLocalization::getSupportedLocales() as $key => $value) {
                    PostLocalization::create([
                        'post_id' => $post->id,
                        'lang' => $key,
                        'title' => 'Home title',
                        'description' => 'Home description',
                        'meta_title' => 'Home meta title',
                        'meta_description' => 'Home meta description',
                        'short_description' => 'Home short description',
                    ]);
                }


            }

        });
    }
}
