import bsCustomFileInput from 'bs-custom-file-input'

import 'nprogress/nprogress.css'

const lang = document.documentElement.lang.substr(0, 2);
window._ = require('lodash');
window.NProgress = require('./progress');

NProgress.configure({ showSpinner: false });
/**
 * We'll load jQuery and the Bootstrap jQuery plugin which provides support
 * for JavaScript based Bootstrap features such as modals and tabs. This
 * code may be modified to fit the specific needs of your application.
 */

try {
    window.Popper = require('popper.js').default;
    window.$ = window.jQuery = require('jquery');
    window.moment = require('moment');

    require('typeface-source-sans-pro');
    require('bootstrap');
    require('admin-lte');
    require('select2');
    require('select2/dist/js/i18n/ru');
    require('select2/dist/js/i18n/uk');
    require('select2/dist/js/i18n/de');
    require('air-datepicker');
    require('air-datepicker/dist/js/i18n/datepicker.de');
    require('./i18n/datepicker.uk');
    require('air-datepicker/dist/js/i18n/datepicker.en');
} catch (e) {
}

/**
 * We'll load the axios HTTP library which allows us to easily issue requests
 * to our Laravel back-end. This library automatically handles sending the
 * CSRF token as a header based on the value of the "XSRF" token cookie.
 */

window.axios = require('axios');

window.axios.defaults.headers.common['X-Requested-With'] = 'XMLHttpRequest';

window.axios.defaults.headers.common['X-CSRF-TOKEN'] = document.querySelector('meta[name=csrf-token]').getAttribute('content');
window.axios.interceptors.request.use(config => {
    NProgress.start();
    return config;
}, error => {
    NProgress.done(true);
    return Promise.reject(error);
});
window.axios.interceptors.response.use(res => {
    NProgress.done();
    return res;
}, error => {
    NProgress.done(true);
    return Promise.reject(error);
});
/**
 * Echo exposes an expressive API for subscribing to channels and listening
 * for events that are broadcast by Laravel. Echo and event broadcasting
 * allows your team to easily build robust real-time web applications.
 */

// import Echo from 'laravel-echo';

// window.Pusher = require('pusher-js');

// window.Echo = new Echo({
//     broadcaster: 'pusher',
//     key: process.env.MIX_PUSHER_APP_KEY,
//     cluster: process.env.MIX_PUSHER_APP_CLUSTER,
//     encrypted: true
// });
(function($) {

    document.addEventListener('DOMContentLoaded', () => {
        bsCustomFileInput.init();
        $('.select-2').each(function() {

            let placeholder = "Please select";

            if ($(this).is('[title]')) {
                placeholder = $(this).attr('title')
            }

            $(this).select2({
                placeholder,
                theme: 'bootstrap4',
                allowClear: true
            })
        })

        $('tr.collspan-count').each(function() {
            const colspanCount = $(this).find('>th').length
            const $table = $(this).closest('table');
            $table.find('[data-colspan]').each(function() {
                const val = parseInt($(this).data('colspan'));
                if (isNaN(val)) {
                    $(this).attr('colspan', colspanCount)
                } else {
                    $(this).attr('colspan', colspanCount - val)
                }
                $(this).removeAttr('data-colspan')
            })
        })

        $('.air-datepicker').each(function() {
            $(this).datepicker({ language: lang })
        })
    })
})(jQuery, window)
