@extends('cms::admin.layouts.app')

@section('content')
    <form method="post" action="{{ route('cms.admin-users.update', $adminUser->id) }}" class="card" autocomplete="off"
          @submit="validateBeforeSubmit">
        @method('PUT')
        @csrf
        <div class="card-body">
            <fieldset>
                @component('cms::components.input')
                    @slot('key', 'name')
                    @slot('placeholder', 'Name')
                    @slot('validate', 'required')
                    @slot('value', old('name', isset($adminUser->name)? $adminUser->name : null))
                @endcomponent

                @component('cms::components.input')
                    @slot('key', 'email')
                    @slot('type', 'email')
                    @slot('placeholder', 'Email')
                    @slot('validate', 'required')
                    @slot('value', old('email', isset($adminUser->email)? $adminUser->email : null))
                @endcomponent

                @component('cms::components.input')
                    @slot('key', 'password')
                    @slot('type', 'password')
                    @slot('placeholder', 'Password')
                    @slot('validate', '')
                    @slot('value', null)
                @endcomponent

                @if(!in_array('admin-user-settings', config('cms.excluded_components')))
                    @component('cms::components.select')
                        @slot('key', 'lang')
                        @slot('placeholder', 'Lang')
                        @slot('value', old('lang', isset($adminUser->lang)? $adminUser->lang : null))
                        @slot('attributes', ['required'])

                        @slot('options', locales_select())
                    @endcomponent

                    @component('cms::components.checkbox')
                        @slot('key', 'roles[]')
                        @slot('placeholder', 'Roles')
                        @slot('value', old('roles', isset($roles)? $roles : null))
                        @slot('validate', 'required')
                        @slot('options',  getRoles())
                    @endcomponent

                    @component('cms::components.radio')
                        @slot('key', 'is_active')
                        @slot('placeholder', 'Is active?')
                        @slot('value', old('is_active', isset($adminUser->is_active)? $adminUser->is_active : null))
                        @slot('validate', 'required')
                        @slot('options', ['1' => 'yes', '0' => 'no'])
                    @endcomponent
                @endif

            </fieldset>
        </div>
        <div class="card-footer text-right">
            <button class="btn btn-success">Save</button>
        </div>
    </form>
@endsection
